<div class="qlnv-grid">
    <div class="bg-white rounded-xl p-4">
        <div class="row">
            <div class="col-6">
                <mat-form-field appearance="outline" color="warn" class="w-100 mb-n4">
                    <mat-label class="font-weight-bold text-warn">Chọn công ty</mat-label>
                    <input id="ctyInput" required matInput [formControl]="ctyControl" [matAutocomplete]="ctyAuto" [(ngModel)]="ctyInput" #ctyTrigger="matAutocompleteTrigger" (focus)="toggleCtrl(ctyInput)" (blur)="toggleCtrl(ctyInput)" (input)="toggleCtrl(ctyInput)">
                    <mat-autocomplete autoActiveFirstOption #ctyAuto="matAutocomplete">
                        <mat-option *ngFor="let option of filteredCtys | async; let i = index" [value]="option">
                            {{option}}
                        </mat-option>
                    </mat-autocomplete>
                    
                    <button mat-icon-button matSuffix (click)="clearAuto(ctyInput,ctyControl, ctyAuto, ctyTrigger)" *ngIf="ctyInput"><mat-icon style="color: rgba(0,0,0,.2);">cancel</mat-icon></button>
                </mat-form-field>
            </div>
            <div class="col-6">
                <mat-form-field appearance="{{ctyInput ? 'outline' : 'fill'}}" class="w-100">
                    <mat-label class="font-weight-bold text-warn">Chọn chi nhánh</mat-label>
                    <input required matInput [formControl]="chinhanhControl" [matAutocomplete]="chiNhanhAuto" [(ngModel)]="chiNhanhInput" #chiNhanhTrigger="matAutocompleteTrigger">
                    <mat-autocomplete autoActiveFirstOption #chiNhanhAuto="matAutocomplete">
                        <mat-option *ngFor="let option of filteredChinhanhs | async" [value]="option">
                            {{option}}
                        </mat-option>
                    </mat-autocomplete>
                    
                    <button mat-icon-button matSuffix (click)="clearAuto(chiNhanhInput,chinhanhControl, chiNhanhAuto, chiNhanhTrigger)" *ngIf="chiNhanhInput"><mat-icon style="color: rgba(0,0,0,.2);">cancel</mat-icon></button>
                </mat-form-field>
            </div>
        </div>
    </div>
    
    <button class="d-flex align-items-center alert alert-secondary progress-bar-striped rounded-xl p-4 m-0" *ngIf=" ctyInput == '' || chiNhanhInput == '' " (click)="trigger(ctyInput == '' ? ctyTrigger : chiNhanhTrigger)">
        <div class="h5 text-mat-primary m-auto p-5">
            Vui lòng chọn<span *ngIf=" ctyInput == '' "> công ty và </span> chi nhánh
        </div>
    </button>
    
    <div class="bg-white rounded-xl p-4" *ngIf=" ctyInput != '' && chiNhanhInput != '' ">
        
        
        <div class="app-danh-sach-nhan-vien" [cty]="ctyInput" [chiNhanh]="chiNhanhInput"></div>
    </div>
    
</div>